#include <stdlib.h>
#include <stdbool.h>
#include <stdio.h>

#include "freqtable.h"

#ifndef _ENCODE_H_
#define _ENCODE_H_

typedef struct htree_node htree;

htree* build_htree(freqtable table);
void htree_free(htree* H);

char* encode(htree* H, char* msg);
char* decode(htree* H, char* msg);

#endif /* _ENCODE_H_ */
